[PATCH 5/6] mkinitrd-dracut.sh: Also allow -d to specify the root_fs and -s dummy

[Date Prev][Date Next][Thread Prev][Thread Next][Date Index][Thread Index]

 



-d is the SUSE mkinitrd version option to pass the rootfs.
-s is to enable splash which may not be needed, but some callers rely on it,
not to return an error.

Make this wrapper compatible to it.

Signed-off-by: Thomas Renninger <trenn@xxxxxxx>
---
 mkinitrd-dracut.sh |    3 ++-
 1 files changed, 2 insertions(+), 1 deletions(-)

diff --git a/mkinitrd-dracut.sh b/mkinitrd-dracut.sh
index eeb6dda..f7b53f1 100755
--- a/mkinitrd-dracut.sh
+++ b/mkinitrd-dracut.sh
@@ -124,7 +124,7 @@ while (($# > 0)); do
         --preload) read_arg modname "$@" || shift $?
             basicmodules="$basicmodules $modname";;
         --image-version) img_vers=yes;;
-        --rootfs) read_arg rootfs "$@" || shift $?
+        --rootfs|-d) read_arg rootfs "$@" || shift $?
             dracut_args="${dracut_args} --filesystems $rootfs";;
         --nocompress) dracut_args="$dracut_args --no-compress";;
         --help) usage -n;;
@@ -151,6 +151,7 @@ while (($# > 0)); do
         --looppath*) ;;
         --dsdt*) ;;
         --bootchart) ;;
+	-s) ;;
 	--quiet|-q) quiet=1;;
 	-b) read_arg boot_dir "$@" || shift $?
 	    if [ ! -d $boot_dir ];then
-- 
1.7.6.1

--
To unsubscribe from this list: send the line "unsubscribe initramfs" in
the body of a message to majordomo@xxxxxxxxxxxxxxx
More majordomo info at  http://vger.kernel.org/majordomo-info.html




[Index of Archives]     [Linux Kernel]     [Linux USB Devel]     [Linux Audio Users]     [Yosemite News]     [Linux SCSI]

  Powered by Linux